> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-mintlify-cccf65ca.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch apiv1projects aiagents evaluations



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json patch /api/v1/projects/{projectUuid}/aiAgents/{agentUuid}/evaluations/{evalUuid}
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3233.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/projects/{projectUuid}/aiAgents/{agentUuid}/evaluations/{evalUuid}:
    patch:
      operationId: updateEvaluation
      parameters:
        - in: path
          name: projectUuid
          required: true
          schema:
            type: string
        - in: path
          name: agentUuid
          required: true
          schema:
            type: string
        - in: path
          name: evalUuid
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiUpdateEvaluationRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAiAgentEvaluationResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    ApiUpdateEvaluationRequest:
      properties:
        prompts:
          items:
            $ref: '#/components/schemas/CreateEvaluationPrompt'
          type: array
        description:
          type: string
        title:
          type: string
      type: object
    ApiAiAgentEvaluationResponse:
      $ref: '#/components/schemas/ApiSuccess_AiAgentEvaluation_'
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    CreateEvaluationPrompt:
      anyOf:
        - properties:
            expectedResponse:
              type: string
              nullable: true
            prompt:
              type: string
          required:
            - expectedResponse
            - prompt
          type: object
        - properties:
            expectedResponse:
              type: string
              nullable: true
            threadUuid:
              type: string
            promptUuid:
              type: string
          required:
            - expectedResponse
            - threadUuid
            - promptUuid
          type: object
      description: |-
        Represents a prompt for evaluation that can be either:
        - An object with a prompt string for new prompts
        - An object referencing an existing prompt and thread by their UUIDs
    ApiSuccess_AiAgentEvaluation_:
      properties:
        results:
          $ref: '#/components/schemas/AiAgentEvaluation'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    AiAgentEvaluation:
      properties:
        prompts:
          items:
            $ref: '#/components/schemas/AiAgentEvaluationPrompt'
          type: array
        updatedAt:
          type: string
          format: date-time
        createdAt:
          type: string
          format: date-time
        description:
          type: string
          nullable: true
        title:
          type: string
        agentUuid:
          type: string
        evalUuid:
          type: string
      required:
        - prompts
        - updatedAt
        - createdAt
        - description
        - title
        - agentUuid
        - evalUuid
      type: object
    AiAgentEvaluationPrompt:
      allOf:
        - properties:
            createdAt:
              type: string
              format: date-time
            evalPromptUuid:
              type: string
          required:
            - createdAt
            - evalPromptUuid
          type: object
        - anyOf:
            - properties:
                expectedResponse:
                  type: string
                  nullable: true
                prompt:
                  type: string
                type:
                  type: string
                  enum:
                    - string
                  nullable: false
              required:
                - expectedResponse
                - prompt
                - type
              type: object
            - properties:
                expectedResponse:
                  type: string
                  nullable: true
                threadUuid:
                  type: string
                promptUuid:
                  type: string
                type:
                  type: string
                  enum:
                    - thread
                  nullable: false
              required:
                - expectedResponse
                - threadUuid
                - promptUuid
                - type
              type: object

````